Subject: bug#3209: 23.0.92; vc-delete-file is not autoloaded

From: Stefan Monnier <[email-masked]>
Date: Mon, 04 May 2009 23:58:02 -0400

>    If I do "emacs -Q vc-controlled-file", I then find that I can't do
> "M-x vc-delete-file" immediately, because this command is undefined.
> It's in vc.el, and the mode line shows that Emacs knows the file is
> under version control, so I assume that vc.el must not be loaded as a
> side-effect of finding a version-controlled file.  So shouldn't
> vc-delete-file be autoloaded in that case?  (And possibly other commands
> in vc.el?)

Yes, it should be autoloaded, indeed.

>    Note that this *is* a regression wrt 22.3.

I don't think so.

        Stefan